Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.pof
Class WritingPofHandler.ComplexMap

`java.lang.Object
com.tangosol.util.Base
com.tangosol.io.pof.WritingPofHandler.Complex
com.tangosol.io.pof.WritingPofHandler.ComplexMap`

Enclosing class:
  WritingPofHandler

      public static class WritingPofHandler.ComplexMap

extends WritingPofHandler.Complex

A ComplexMap object represents a map data structure (with uniform keys or with uniform keys and values) in the POF stream.

Constructor Summary
`WritingPofHandler.ComplexMap(WritingPofHandler.Complex complexCurrent, int nUniformKeyTypeId)` Construct a ComplexMap object for maps with uniformly-typed keys.
`WritingPofHandler.ComplexMap(WritingPofHandler.Complex complexCurrent, int nUniformKeyTypeId, int nUniformValTypeId)` Construct a ComplexMap object for maps with uniformly-typed keys and values.

Method Summary
`int` | `getUniformType()` If the object encoding is using uniform encoding, obtain the type id of the uniform type.
`boolean` | `isUniform()` Determine if the object encoding within the Complex type is uniform.
`void` | `onValue(int iPos)` Notify the Complex object that a value has been encountered.

Methods inherited from class com.tangosol.io.pof.WritingPofHandler.Complex
`isSparse, pop`

Constructor Detail

### WritingPofHandler.ComplexMap

    public WritingPofHandler.ComplexMap(WritingPofHandler.Complex complexCurrent,
                                        int nUniformKeyTypeId)

  Construct a ComplexMap object for maps with uniformly-typed keys.
  Parameters:
    `complexCurrent` - the current Complex object or null
    `nUniformKeyTypeId` - the type identifier of the uniform type

### WritingPofHandler.ComplexMap

    public WritingPofHandler.ComplexMap(WritingPofHandler.Complex complexCurrent,
                                        int nUniformKeyTypeId,
                                        int nUniformValTypeId)

  Construct a ComplexMap object for maps with uniformly-typed keys and values.
  Parameters:
    `complexCurrent` - the current Complex object or null
    `nUniformKeyTypeId` - the type identifier of the uniform type for keys in the map
    `nUniformValTypeId` - the type identifier of the uniform type for values in the map

Method Detail

### onValue

    public void onValue(int iPos)

  Notify the Complex object that a value has been encountered.
  Overrides:
    `onValue` in class `WritingPofHandler.Complex`
  Parameters:
    `iPos` - the position that accomponied the value

### isUniform

    public boolean isUniform()

  Determine if the object encoding within the Complex type is uniform.
  Overrides:
    `isUniform` in class `WritingPofHandler.Complex`
  Returns:
    true iff values within the Complex type are of a uniform type and are encoded uniformly

### getUniformType

    public int getUniformType()

  If the object encoding is using uniform encoding, obtain the type id of the uniform type.
  Overrides:
    `getUniformType` in class `WritingPofHandler.Complex`
  Returns:
    the type id used for the uniform encoding

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.